import { ThemedStyledFunction, DefaultTheme } from 'styled-components';
export interface BoxProps {
    centered?: boolean;
    padded?: boolean;
    size?: number | number[];
    type?: 'row' | 'column';
    verticalAlign?: 'start' | 'center' | 'end';
    float?: 'left' | 'right';
    textAlign?: 'left' | 'right' | 'center' | 'justify';
}
export declare const Box: import("styled-components").StyledComponent<"div", DefaultTheme, BoxProps, never>;
/**
 * Helpers for migrating from Semantic UI
 */
export declare type GridType = ThemedStyledFunction<'div', DefaultTheme, BoxProps & {
    type: string;
}, 'type'> & {};
export declare type GridParent = GridType & {
    Row: GridType;
    Column: GridType;
};
export declare const Grid: GridParent;
